
public class Class463_Sub13 extends Class463 {

   public static final int anInt8010 = 1;
   public static final int anInt8011 = 0;
   public static Class414 aClass414_8012;


   int method7815() {
      return 1;
   }

   public Class463_Sub13(int var1, Class225_Sub6 var2) {
      super(var1, var2);
   }

   public Class463_Sub13(Class225_Sub6 var1) {
      super(var1);
   }

   int method7807(int var1) {
      return 1;
   }

   int method7808(int var1, int var2) {
      return 1;
   }

   void method7812(int var1, byte var2) {
      this.anInt5736 = -1684335239 * var1;
   }

   void method7810(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   void method7814(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   int method7811(int var1) {
      return 1;
   }

   int method7813(int var1) {
      return 1;
   }

   void method7806(int var1) {
      this.anInt5736 = -1684335239 * var1;
   }

   public void method12900(int var1) {
      if(this.anInt5736 * -204978999 != 1 && 0 != -204978999 * this.anInt5736) {
         this.anInt5736 = this.method7807(-1811114594) * -1684335239;
      }

   }

   public int method12901() {
      return this.anInt5736 * -204978999;
   }

   public void method12902() {
      if(this.anInt5736 * -204978999 != 1 && 0 != -204978999 * this.anInt5736) {
         this.anInt5736 = this.method7807(-1568566895) * -1684335239;
      }

   }

   public void method12903() {
      if(this.anInt5736 * -204978999 != 1 && 0 != -204978999 * this.anInt5736) {
         this.anInt5736 = this.method7807(-928376952) * -1684335239;
      }

   }

   public int method12904(byte var1) {
      return this.anInt5736 * -204978999;
   }

   static final void method12905(Class508 var0, int var1) {
      if(null != client.aString7904) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 845314169 * Class397.anInt4901;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }
}
